Bug 1208229 - [nouveau, GeForce GT 525M] system-settings ==> Font : doesn't show preview of fonts
Summary: [nouveau, GeForce GT 525M] system-settings ==> Font : doesn't show preview of...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-desktop
Version: 22
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-01 17:37 UTC by dominique
Modified: 2016-04-23 22:30 UTC (History)
15 users (show)

Fixed In Version: plasma-desktop-5.2.2-5.fc22 plasma-desktop-5.5.3-3.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-23 22:30:05 UTC
Type: Bug


Attachments (Terms of Use)
snapshot of problem (102.49 KB, image/png)
2015-04-01 17:55 UTC, dominique
no flags Details
screenshot (46.55 KB, image/png)
2015-04-02 13:51 UTC, dominique
no flags Details
good snapshot (153.49 KB, image/png)
2015-04-10 06:36 UTC, dominique
no flags Details
font management preview (screenshot) (56.46 KB, image/png)
2015-05-28 14:08 UTC, Glenn Holmer
no flags Details


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 336089 None None None Never
Launchpad 1437260 None None None Never

Description dominique 2015-04-01 17:37:57 UTC
For info :
With F 22 and KDE 5 (plasma 5), in System-setting ==> Font I don't see the preview of fonts in the right panel of the window, like F 21 and KDE 4.

I don't know if it's a bug related to plasma-workspace or another package.

Comment 1 Rex Dieter 2015-04-01 17:39:57 UTC
You mean in the "Sample" box after clicking "choose" (different font)?

If so, it works fine here.

Comment 2 dominique 2015-04-01 17:49:48 UTC
(In reply to Rex Dieter from comment #1)
> You mean in the "Sample" box after clicking "choose" (different font)?
> 
> If so, it works fine here.

Yes, I see nothing, just a blank windows with two horizontal lines, and space between this lines change when I choose different fonts.

May-be it's a package not installed, like in the Bug 1207079

Comment 3 dominique 2015-04-01 17:55:22 UTC
Created attachment 1009787 [details]
snapshot of problem

Comment 4 Rex Dieter 2015-04-01 17:59:02 UTC
Ah, I suspect the splitter between the font listing and the preview got pushed all the way to the right, flush with the edge of the window.

Comment 5 Rex Dieter 2015-04-01 18:00:16 UTC
On second thought, nevermind, the pane is there I see now, it's just empty/blank alright. :(

Comment 6 Daniel Vrátil 2015-04-02 08:01:38 UTC
The preview works here (although the tree of fonts is rendered incorrectly, but I blame Qt 5.5 here). 

Looking at the screenshot, I can see the two separator lines here, so my guess is that the text might be rendered in white. Could you try changing to some dark widget theme (System Settings -> Colors -> Breeze Dark), and see if that works?

If not, please run this from terminal and see if there are any errors

QT_LOGGING_RULES="* = true" kcmshell5 fontinst

Comment 7 dominique 2015-04-02 09:14:44 UTC
(In reply to Daniel Vrátil from comment #6)
> The preview works here (although the tree of fonts is rendered incorrectly,
> but I blame Qt 5.5 here). 
> 
> Looking at the screenshot, I can see the two separator lines here, so my
> guess is that the text might be rendered in white. Could you try changing to
> some dark widget theme (System Settings -> Colors -> Breeze Dark), and see
> if that works?
> 
> If not, please run this from terminal and see if there are any errors
> 
> QT_LOGGING_RULES="* = true" kcmshell5 fontinst

I change to breeze dark with same result, I don't see fonts.

Result of your command : 

[dominique@host-192-168-1-2 ~]$ QT_LOGGING_RULES="* = true" kcmshell5 fontinst
qt.qpa.input.devices: XInput version 2.2 is available and Qt supports 2.2 or greater
qt.qpa.input.devices: input device  Virtual core XTEST pointer
qt.qpa.input.devices:    has 10 buttons
qt.qpa.input.devices:    has valuator "Rel X" recognized? true
qt.qpa.input.devices:    has valuator "Rel Y" recognized? true
qt.qpa.input.devices:    it's a scrolling device
qt.qpa.input.devices: input device  HP Laser Mobile Mouse
qt.qpa.input.devices:    has 7 buttons
qt.qpa.input.devices:    it's a keyboard
qt.qpa.input.devices:    has valuator "Rel X" recognized? true
qt.qpa.input.devices:    has valuator "Rel Y" recognized? true
qt.qpa.input.devices:    has valuator "Rel Horiz Scroll" recognized? true
qt.qpa.input.devices:    has valuator "Rel Vert Scroll" recognized? true
qt.qpa.input.devices:    it's a scrolling device
qt.qpa.input.devices: input device  SynPS/2 Synaptics TouchPad
qt.qpa.input.devices:    has 7 buttons
qt.qpa.input.devices:    has valuator "Rel X" recognized? true
qt.qpa.input.devices:    has valuator "Rel Y" recognized? true
qt.qpa.input.devices:    has valuator "Rel Horiz Scroll" recognized? true
qt.qpa.input.devices:    has valuator "Rel Vert Scroll" recognized? true
qt.qpa.input.devices:    it's a scrolling device
kf5.kservice.sycoca: Trying to open ksycoca from "/home/dominique/.cache/ksycoca5"
Service  org.kde.fontinst  not registered, starting "/usr//usr/libexec/kf5/kauth/fontinst"
xcb: moved mouse to  343,  381; button state 0
xcb: moved mouse to  347,  373; button state 0
xcb: moved mouse to  349,  367; button state 0
xcb: moved mouse to  349,  363; button state 0
xcb: moved mouse to  349,  362; button state 0
xcb: moved mouse to  348,  361; button state 0
xcb: moved mouse to  344,  361; button state 0
xcb: moved mouse to  336,  361; button state 0
xcb: moved mouse to  326,  361; button state 0
xcb: moved mouse to  306,  361; button state 0
xcb: moved mouse to  290,  361; button state 0
xcb: moved mouse to  278,  361; button state 0
xcb: moved mouse to  271,  361; button state 0
xcb: moved mouse to  267,  359; button state 0
xcb: moved mouse to  264,  359; button state 0
xcb: moved mouse to  261,  358; button state 0
xcb: moved mouse to  260,  358; button state 0
xcb: moved mouse to  258,  358; button state 0
xcb: moved mouse to  256,  358; button state 0
xcb: moved mouse to  242,  355; button state 0
xcb: moved mouse to  233,  352; button state 0
xcb: moved mouse to  222,  352; button state 0
xcb: moved mouse to  218,  352; button state 0
xcb: moved mouse to  216,  351; button state 0
xcb: moved mouse to  215,  350; button state 0
xcb: moved mouse to  213,  348; button state 0
xcb: moved mouse to  208,  344; button state 0
xcb: moved mouse to  203,  338; button state 0
xcb: moved mouse to  201,  333; button state 0
xcb: moved mouse to  199,  326; button state 0
xcb: moved mouse to  199,  316; button state 0
xcb: moved mouse to  199,  302; button state 0
xcb: moved mouse to  200,  289; button state 0
xcb: moved mouse to  203,  279; button state 0
xcb: moved mouse to  206,  269; button state 0
xcb: moved mouse to  212,  259; button state 0
xcb: moved mouse to  220,  251; button state 0
xcb: moved mouse to  226,  243; button state 0
xcb: moved mouse to  229,  239; button state 0
..............................................

Only problem is in that line : 

kf5.kservice.sycoca: Trying to open ksycoca from "/home/dominique/.cache/ksycoca5"
Service  org.kde.fontinst  not registered, starting "/usr//usr/libexec/kf5/kauth/fontinst"

Comment 8 Daniel Vrátil 2015-04-02 12:40:03 UTC
"/usr//usr/libexec/kf5/kauth/fontinst"

That is wrong obviously. I fixed the path in our packages and created an update, please test if that fixes your problem.

Comment 9 Fedora Update System 2015-04-02 12:41:47 UTC
plasma-desktop-5.2.2-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/plasma-desktop-5.2.2-4.fc22

Comment 10 dominique 2015-04-02 13:50:46 UTC
(In reply to Daniel Vrátil from comment #8)
> "/usr//usr/libexec/kf5/kauth/fontinst"
> 
> That is wrong obviously. I fixed the path in our packages and created an
> update, please test if that fixes your problem.

Sorry, but that don't work, thera are no fonts listed in system-settings ==> font

See the screenshot

Comment 11 dominique 2015-04-02 13:51:25 UTC
Created attachment 1010195 [details]
screenshot

Comment 12 Rex Dieter 2015-04-02 13:53:14 UTC
Try rebooting? (there's a chance this is a video driver glitch)

Fwiw, I cannot reproduce the problem, fonts display fine for me.

Comment 13 dominique 2015-04-02 14:03:33 UTC
I rebooting (shutdown), for same result.

But why it's work fine for you and not for me ?

Comment 14 Fedora Update System 2015-04-02 19:00:06 UTC
Package plasma-desktop-5.2.2-4.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing plasma-desktop-5.2.2-4.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5421/plasma-desktop-5.2.2-4.fc22
then log in and leave karma (feedback).

Comment 15 dominique 2015-04-03 17:14:11 UTC
I do a test today with strange results :

I download Fedora-Live-KDE-x86_64-22_Beta-TC6.iso, and launch with VirtualBox from my laptop.
In this case, view for fonts work well.

I put this .iso on an usb stick with dd, I boot on this stick, without VirtualBox, and view for fonts don't work, same problem.

How to explain this ?

A problem with video drivers ?

Comment 16 Kevin Kofler 2015-04-03 19:47:13 UTC
Yes, looks like it.

Comment 17 dominique 2015-04-08 17:46:31 UTC
I do the same test in comment 15 with Fedora-Live-KDE-x86_64-22_Beta-1.iso , for same result: with VirtualBox I can see view of fonts, with the iso on a usb-stick (without VirtualBox) view for fonts don't work.

I notice one thing:
- With VirtualBox on boot I have the white-blue line.

-With the usb-stick, on boot I have the Fedora logo, I think it's plymouth.

My laptop is Toshiba Satellite L770/L775 with nvidia card : GeForce GT 525M.

And  I have no Optimus technologies.

VirtualBox use virtual card (I think) and with usb-stick that use nouveau (I think so)

But I don't see where is the problem.

Comment 18 dominique 2015-04-10 06:35:04 UTC
I do an another test :
I remove xorg-x11-drv-nouveau with yum command,and after reboot view for fonts work (see screenshot).

But with lsmod | grep nouveau I have : 

[dominique@host-192-168-1-2 ~]$ lsmod |grep nouveau
nouveau              1384448  9 
mxm_wmi                16384  1 nouveau
i2c_algo_bit           16384  1 nouveau
ttm                    94208  1 nouveau
drm_kms_helper        118784  1 nouveau
drm                   331776  12 ttm,drm_kms_helper,nouveau
video                  24576  1 nouveau
wmi                    20480  2 mxm_wmi,nouveau
[dominique@host-192-168-1-2 ~]$ 

Where is the problem ?

Comment 19 dominique 2015-04-10 06:36:08 UTC
Created attachment 1012981 [details]
good snapshot

Comment 20 Rex Dieter 2015-04-10 13:18:46 UTC
I guess that's evidence that you're possibly experiencing some video driver bug.

Comment 21 dominique 2015-04-10 13:45:28 UTC
Do you think I attach this bug to xorg-x11-drv-nouveau ?

Comment 22 Kevin Kofler 2015-04-10 19:19:52 UTC
Yes, I reassigned the bug for you.

Comment 23 dominique 2015-04-11 05:51:33 UTC
(In reply to Kevin Kofler from comment #22)
> Yes, I reassigned the bug for you.

Thank Kevin

Comment 24 dominique 2015-04-12 11:25:55 UTC
I do another test :
I install the nvidia drivers (346.47)

And with this drivers, view of fonts don't work...

May-be problem is with my card GeForce GT 525M, but I don't know what I can do.

Comment 25 dominique 2015-04-13 05:44:15 UTC
Just one comment.
I notice that work fine with F21 and nvidia drivers 346.47.

With F 21 I have xorg-x11-server-1.16 and with F22 xorg-x11-server-1.17.

Ma-be problem is here.

Comment 26 Fedora Update System 2015-04-21 19:32:08 UTC
plasma-desktop-5.2.2-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 dominique 2015-04-22 10:18:53 UTC
For me and my laptop, that's don't work.
With plasma-desktop-5.2.2-4.fc22 the fonts in system-settings are not showed (see the second attachment). You can see than after analyze, system-settings don't load the police (aucune police).
For test I install a 3.19 kernel, but the result is the same, so I think it's not a kernel problem.

In kde 5, what manage the card ? (display or other)

Comment 28 Loïc Yhuel 2015-04-22 23:12:57 UTC
I just upgraded from F21 to F22, and I see the same thing as the last screenshot.
I first see "Scanning font list..." and 0%, which changes to "No font"and still 0% if I switch to another group.
If I right click in the (empty) font list and choose "reload", I see "Scanning font list..." again.

When starting "kcmshell5 fontinst", and each time I click on "reload", I see a trace :
Service  org.kde.fontinst  not registered, starting "/fontinst"

It looks like there is still a path issue, if I manually start /usr/libexec/kf5/kauth/fontinst I immediately get the correct font list.

Comment 29 dominique 2015-04-23 05:17:08 UTC
(In reply to Loïc Yhuel from comment #28)
> I just upgraded from F21 to F22, and I see the same thing as the last
> screenshot.
> I first see "Scanning font list..." and 0%, which changes to "No font"and
> still 0% if I switch to another group.
> If I right click in the (empty) font list and choose "reload", I see
> "Scanning font list..." again.
> 
> When starting "kcmshell5 fontinst", and each time I click on "reload", I see
> a trace :
> Service  org.kde.fontinst  not registered, starting "/fontinst"
> 
> It looks like there is still a path issue, if I manually start
> /usr/libexec/kf5/kauth/fontinst I immediately get the correct font list.

Thank for your help, if I launch /usr/libexec/kf5/kauth/fontinst the font list appear, but disappear if I stop the command with ctrl+c.

And that don't solve my first problem, with the command view for font don't work.

Comment 30 Rex Dieter 2015-04-23 12:15:35 UTC
(re)assigning back to plasma-desktop

Comment 31 Lukáš Tinkl 2015-04-23 12:56:14 UTC
Here's the fix: http://commits.kde.org/plasma-desktop/cc28f6bdbacb8f0cf8d98d2f218c5c470fa0cc88

Can we pull this into our packages pls Rex? :)

Comment 32 Rex Dieter 2015-04-23 13:42:22 UTC
That doesn't fix it, that restores it back to the original problem we had, where paths had double prefixes like:

/usr//usr/libexec/kf5/kauth/fontinst

See comment #7 and comment #8

Dan's approach was the correct one in principle, where upstream needs to support both relative and absolute paths.

For now, I'm patching things locally to omit ${CMAKE_INSTALL_PREFIX}/ so avoid the double /usr//usr/

Comment 33 Fedora Update System 2015-04-23 13:49:25 UTC
plasma-desktop-5.2.2-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/plasma-desktop-5.2.2-5.fc22

Comment 34 dominique 2015-04-23 14:19:47 UTC
Thank Rex, I install plasma-desktop-5.2.2-5.fc22 and that solve the second problem, the font list is present, but the first problem continue, view for fonts don't work, but it's another problem, and it seems that I am the only one with this problem.

I search with google for that, but I didn't find anything.

Comment 35 Rex Dieter 2015-04-23 18:52:00 UTC
True, it's never fun to track multiple issues in a single bug, sorry.

Would you rather we kept this one open, or would you rather file a separate one for the rendering (or lack thereof) problem?

Comment 36 dominique 2015-04-24 05:49:14 UTC
The principal (and first) question of this bug was for the rendering (or lack thereof) problem.

Another bug appeared, and was resolved, also I prefer we kept this one open.

May-be, when F22 will be release, others users will have this problem.

Comment 37 dominique 2015-04-24 05:59:47 UTC
And if I report this bug on fedoraforum.org, I might have more answers ?

Comment 38 Rex Dieter 2015-04-24 13:35:26 UTC
OK, resetting summary and reassigning (back) to nouveau

Comment 39 Fedora Update System 2015-04-24 22:47:23 UTC
Package plasma-desktop-5.2.2-5.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing plasma-desktop-5.2.2-5.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-6769/plasma-desktop-5.2.2-5.fc22
then log in and leave karma (feedback).

Comment 40 dominique 2015-04-25 18:40:46 UTC
For test I install the gnome's font-viewer (Font Manager).

When I launch it, it can't see my user's fonts, there are just the fonts's system.
I check if the path is good, and it is (/home/dominique/.fonts) but there is no list for my user's fonts (and user is grayed).

I don't know if it is important, but with F21 and kde4, all work fine, I can see my user's fonts with Font Manager.

Comment 41 Fedora Update System 2015-04-30 11:43:07 UTC
plasma-desktop-5.2.2-5.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 42 Rex Dieter 2015-04-30 11:53:05 UTC
re-opening, accidentally set the 'autoclose bugs' option in bodhi.

Comment 43 dominique 2015-05-01 07:10:31 UTC
(In reply to Fedora Update System from comment #41)
> plasma-desktop-5.2.2-5.fc22 has been pushed to the Fedora 22 stable
> repository.  If problems still persist, please make note of it in this bug
> report.

With this update, there are same problem as comment 27 ans 28, the list of fonts is not showing in system-settings==>Fonts

Comment 44 Loïc Yhuel 2015-05-03 07:40:43 UTC
(In reply to dominique from comment #43)
> (In reply to Fedora Update System from comment #41)
> > plasma-desktop-5.2.2-5.fc22 has been pushed to the Fedora 22 stable
> > repository.  If problems still persist, please make note of it in this bug
> > report.
> 
> With this update, there are same problem as comment 27 ans 28, the list of
> fonts is not showing in system-settings==>Fonts

I don't remember if I did test this update or not.
But now the patch has been dropped, so with plasma-desktop-5.3.0-3.fc22.x86_64, it fails since it uses /usr//usr/libexec/kf5/kauth/fontinst again.

Comment 45 dominique 2015-05-03 11:49:15 UTC
I find where is the problem :
I download plasma-desktop-5.3.0-3.fc22.src and unpack, and inside I see that the plasma-desktop-fix-fontinst-service-path.patch is not dropped.

I think you must rebuild a plasma-desktop-5.3.0-4.fc22 with this patch.

Comment 46 dominique 2015-05-03 13:43:58 UTC
For test I rebuild plasma-desktop-5.3.0-3.fc22 with plasma-desktop-fix-fontinst-service-path.patch and all work fine.

Comment 47 Fedora Update System 2015-05-03 21:23:04 UTC
plasma-desktop-5.3.0-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/plasma-desktop-5.3.0-4.fc22

Comment 48 dominique 2015-05-04 05:21:33 UTC
Thank, I install plasma-desktop-5.3.0-4.fc22 and that solve the problem in comment 43, I can see list of fonts in system-settings==>Fonts

That's not solve my first problem, but that's another problem.

Comment 49 dominique 2015-05-09 18:27:32 UTC
Hi all,
I found same bug on ubuntu : https://bugs.launchpad.net/ubuntu/+source/plasma-desktop/+bug/1437260 
I feel less alone...

But no solutions yet.

Comment 50 Fedora Update System 2015-05-10 23:54:06 UTC
plasma-desktop-5.3.0-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 51 Glenn Holmer 2015-05-28 14:06:53 UTC
I'm seeing this as well, on two different machines with Fedora 22/Plasma 5. One has Nvidia GT630 and is using the nouveau driver, and one has Nvidia GTX650 and is using the Nvidia proprietary driver (346.72-1.fc22.x86_64). I don't see a completely blank area; there are some isolated pixels on the left and right of the preview area (see screenshot "font management preview").

Comment 52 Glenn Holmer 2015-05-28 14:08:41 UTC
Created attachment 1031319 [details]
font management preview (screenshot)

screenshot

Comment 53 Loïc Yhuel 2015-09-28 20:14:38 UTC
The plasma-desktop-fix-fontinst-service-path.patch has been removed in 5.4.0, so the font list is empty again.

/usr/libexec/kf5/kauth/fontinst{,_helper} contain /usr//usr/libexec/kf5/kauth/fontinst_x11
/usr/share/dbus-1/services/org.kde.fontinst.service contains /usr//usr/libexec/kf5/kauth/fontinst

Comment 54 Fedora Update System 2015-09-29 01:17:10 UTC
plasma-desktop-5.4.1-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-720f1c5361

Comment 55 Fedora Update System 2015-09-29 01:21:36 UTC
plasma-desktop-5.4.1-6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-21e58084e6

Comment 56 Fedora Update System 2015-09-29 06:21:49 UTC
plasma-desktop-5.4.1-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update plasma-desktop'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-720f1c5361

Comment 57 Fedora Update System 2015-10-02 03:48:28 UTC
plasma-desktop-5.4.1-6.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update plasma-desktop'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-21e58084e6

Comment 58 Fedora Update System 2015-10-02 22:38:04 UTC
bluedevil-5.4.2-1.fc23 kde-cli-tools-5.4.2-1.fc23 kde-gtk-config-5.4.2-1.fc23 kdecoration-5.4.2-1.fc23 kdeplasma-addons-5.4.2-1.fc23 kf5-kwayland-5.4.2-1.fc23 kgamma-5.4.2-1.fc23 khelpcenter-5.4.2-1.fc23 khotkeys-5.4.2-1.fc23 kinfocenter-5.4.2-1.fc23 kmenuedit-5.4.2-1.fc23 kscreen-5.4.2-1.fc23 ksshaskpass-5.4.2-1.fc23 ksysguard-5.4.2-1.fc23 kwayland-integration-5.4.2-1.fc23 kwin-5.4.2-1.fc23 kwrited-5.4.2-1.fc23 libkscreen-qt5-5.4.2-1.fc23 libksysguard-5.4.2-1.fc23 muon-5.4.2-1.fc23 oxygen-fonts-5.4.2-1.fc23 pam-kwallet-5.4.2-1.fc23 plasma-breeze-5.4.2-1.fc23 plasma-desktop-5.4.2-1.fc23 plasma-milou-5.4.2-1.fc23 plasma-nm-5.4.2-1.fc23 plasma-oxygen-5.4.2-1.fc23 plasma-pa-5.4.2-1.fc23 plasma-sdk-5.4.2-1.fc23 plasma-systemsettings-5.4.2-1.fc23 plasma-workspace-5.4.2-1.fc23 plasma-workspace-wallpapers-5.4.2-1.fc23 polkit-kde-5.4.2-1.fc23 powerdevil-5.4.2-1.fc23 sddm-kcm-5.4.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-555ed68cfa

Comment 59 dominique 2016-01-09 12:27:38 UTC
Hi all.
See here : https://bugs.kde.org/show_bug.cgi?id=336089#c9 (last comment).
I rebuild plasma-desktop-5.5.3-1.fc23.x86_64.rpm with the patch and that solve for me the problem.
Now I can see the preview of fonts.
If that help you.

Comment 60 Rex Dieter 2016-01-09 15:48:30 UTC
Thanks for testing it, will take a look.

Comment 61 Rex Dieter 2016-01-09 15:50:30 UTC
Which patch did you test?  
https://bugs.kde.org/show_bug.cgi?id=336089#c42
or
https://bugs.kde.org/show_bug.cgi?id=336089#c43
or both?

Comment 62 Rex Dieter 2016-01-09 15:51:02 UTC
Nevermind, you said the last one, I'll try that

Comment 63 dominique 2016-01-09 16:00:15 UTC
Yes the last one, it includes the first one.

Comment 64 Fedora Update System 2016-01-10 21:50:27 UTC
plasma-desktop-5.5.3-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3fdea3607a

Comment 65 Fedora Update System 2016-01-11 13:52:42 UTC
plasma-desktop-5.5.3-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3fdea3607a

Comment 66 Fedora Update System 2016-01-12 07:52:52 UTC
plasma-desktop-5.5.3-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 67 Fedora Update System 2016-01-15 17:24:35 UTC
plasma-desktop-5.5.3-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7f425ce648

Comment 68 Fedora Update System 2016-01-16 19:25:05 UTC
plasma-desktop-5.5.3-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7f425ce648

Comment 69 Fedora Update System 2016-01-26 03:19:46 UTC
plasma-desktop-5.5.3-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.